--- old/usr/src/pkg/manifests/SUNWcs.man1m.inc	Tue Feb 19 16:09:08 2013
+++ new/usr/src/pkg/manifests/SUNWcs.man1m.inc	Tue Feb 19 16:09:07 2013
@@ -121,8 +121,6 @@
 file path=usr/share/man/man1m/ifconfig.1m
 file path=usr/share/man/man1m/ifparse.1m
 file path=usr/share/man/man1m/ikeadm.1m
-file path=usr/share/man/man1m/ikecert.1m
-file path=usr/share/man/man1m/in.iked.1m
 file path=usr/share/man/man1m/in.mpathd.1m
 file path=usr/share/man/man1m/inetadm.1m
 file path=usr/share/man/man1m/inetconv.1m
--- old/usr/src/pkg/manifests/SUNWcs.man4.inc	Tue Feb 19 16:09:08 2013
+++ new/usr/src/pkg/manifests/SUNWcs.man4.inc	Tue Feb 19 16:09:08 2013
@@ -50,8 +50,6 @@
 file path=usr/share/man/man4/fx_dptbl.4
 file path=usr/share/man/man4/group.4
 file path=usr/share/man/man4/hosts.4
-file path=usr/share/man/man4/ike.config.4
-file path=usr/share/man/man4/ike.preshared.4
 file path=usr/share/man/man4/inet_type.4
 file path=usr/share/man/man4/inetd.conf.4
 file path=usr/share/man/man4/init.d.4
--- old/usr/src/pkg/manifests/SUNWcs.mf	Tue Feb 19 16:09:09 2013
+++ new/usr/src/pkg/manifests/SUNWcs.mf	Tue Feb 19 16:09:09 2013
@@ -198,8 +198,6 @@
 dir path=usr/lib/help/profiles/locale/C
 dir path=usr/lib/iconv
 dir path=usr/lib/inet
-dir path=usr/lib/inet/$(ARCH32)
-dir path=usr/lib/inet/$(ARCH64)
 dir path=usr/lib/inet/dhcp
 dir path=usr/lib/inet/dhcp/nsu
 dir path=usr/lib/inet/dhcp/svc
@@ -499,7 +497,6 @@
 file path=lib/svc/manifest/network/forwarding.xml group=sys mode=0444
 file path=lib/svc/manifest/network/inetd-upgrade.xml group=sys mode=0444
 file path=lib/svc/manifest/network/inetd.xml group=sys mode=0444
-file path=lib/svc/manifest/network/ipsec/ike.xml group=sys mode=0444
 file path=lib/svc/manifest/network/ipsec/ipsecalgs.xml group=sys mode=0444
 file path=lib/svc/manifest/network/ipsec/manual-key.xml group=sys mode=0444
 file path=lib/svc/manifest/network/ipsec/policy.xml group=sys mode=0444
@@ -1213,11 +1210,6 @@
 file path=usr/lib/iconv/8859.646sv.t mode=0444
 file path=usr/lib/iconv/iconv_data mode=0444
 file path=usr/lib/idmapd mode=0555
-file path=usr/lib/inet/$(ARCH32)/in.iked mode=0555
-file path=usr/lib/inet/$(ARCH64)/in.iked mode=0555
-file path=usr/lib/inet/certdb mode=0555
-file path=usr/lib/inet/certlocal mode=0555
-file path=usr/lib/inet/certrldb mode=0555
 file path=usr/lib/inet/inetd mode=0555
 file path=usr/lib/intrd mode=0555
 file path=usr/lib/isaexec mode=0555
@@ -1343,7 +1335,6 @@
 file path=usr/sbin/idmap mode=0555
 file path=usr/sbin/if_mpadm mode=0555
 file path=usr/sbin/ikeadm mode=0555
-file path=usr/sbin/ikecert mode=0555
 file path=usr/sbin/inetadm mode=0555
 file path=usr/sbin/inetconv mode=0555
 file path=usr/sbin/install mode=0555
@@ -1603,7 +1594,6 @@
 hardlink path=usr/lib/fs/ufs/fstyp target=../../../sbin/fstyp
 hardlink path=usr/lib/fs/ufs/quotaon \
     target=../../../../usr/lib/fs/ufs/quotaoff
-hardlink path=usr/lib/inet/in.iked target=../../../usr/lib/isaexec
 hardlink path=usr/sadm/bin/dispgid target=../../../usr/bin/ckgid
 hardlink path=usr/sadm/bin/dispuid target=../../../usr/bin/ckuid
 hardlink path=usr/sadm/bin/errange target=../../../usr/bin/ckrange
--- old/usr/src/pkg/manifests/system-library.mf	Tue Feb 19 16:09:10 2013
+++ new/usr/src/pkg/manifests/system-library.mf	Tue Feb 19 16:09:09 2013
@@ -331,7 +331,6 @@
 file path=usr/lib/$(ARCH64)/libfstyp.so.1
 file path=usr/lib/$(ARCH64)/libhotplug.so.1
 file path=usr/lib/$(ARCH64)/libidmap.so.1
-file path=usr/lib/$(ARCH64)/libike.so.1
 file path=usr/lib/$(ARCH64)/libipmi.so.1
 file path=usr/lib/$(ARCH64)/libipp.so.1
 file path=usr/lib/$(ARCH64)/libipsecutil.so.1
@@ -401,7 +400,6 @@
 file path=usr/lib/libfstyp.so.1
 file path=usr/lib/libhotplug.so.1
 file path=usr/lib/libidmap.so.1
-file path=usr/lib/libike.so.1
 file path=usr/lib/libinetsvc.so.1
 file path=usr/lib/libipmi.so.1
 file path=usr/lib/libipp.so.1
--- /dev/null	Tue Feb 19 16:09:11 2013
+++ new/usr/src/pkg/manifests/system-network-ike.mf	Tue Feb 19 16:09:10 2013
@@ -0,0 +1,74 @@
+#
+# CDDL HEADER START
+#
+# The contents of this file are subject to the terms of the
+# Common Development and Distribution License (the "License").
+# You may not use this file except in compliance with the License.
+#
+# You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
+# or http://www.opensolaris.org/os/licensing.
+# See the License for the specific language governing permissions
+# and limitations under the License.
+#
+# When distributing Covered Code, include this CDDL HEADER in each
+# file and include the License file at usr/src/OPENSOLARIS.LICENSE.
+# If applicable, add the following below this CDDL HEADER, with the
+# fields enclosed by brackets "[]" replaced with your own identifying
+# information: Portions Copyright [yyyy] [name of copyright owner]
+#
+# CDDL HEADER END
+#
+
+#
+# Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
+# Copyright 2011, Nexenta Systems, Inc. All rights reserved.
+#
+
+set name=pkg.fmri value=pkg:/system/network/ike@$(PKGVERS)
+set name=pkg.description value="Internet Key Exchange (IKE)"
+set name=pkg.summary value=IKE
+set name=info.classification value=org.opensolaris.category.2008:System/Core
+set name=variant.arch value=$(ARCH)
+dir path=etc group=sys
+dir path=etc/inet group=sys
+dir path=etc/inet/ike group=sys
+dir path=etc/inet/ike/crls group=sys
+dir path=etc/inet/ike/publickeys group=sys
+dir path=etc/inet/secret group=sys mode=0700
+dir path=etc/inet/secret/ike.privatekeys group=sys mode=0700
+dir path=lib
+dir path=lib/svc
+dir path=lib/svc/manifest
+dir path=lib/svc/manifest/network
+dir path=lib/svc/manifest/network/ipsec
+dir path=usr
+dir path=usr/lib
+dir path=usr/lib/$(ARCH64)
+dir path=usr/lib/inet
+dir path=usr/lib/inet/$(ARCH32)
+dir path=usr/lib/inet/$(ARCH64)
+dir path=usr/sbin
+dir path=usr/share
+dir path=usr/share/man
+dir path=usr/share/man/man1m
+dir path=usr/share/man/man4
+file path=etc/inet/ike/config.sample group=sys mode=0444
+file path=etc/inet/secret/ike.preshared group=sys mode=0600 \
+    original_name=SUNWcnetr:etc/inet/secret/ike.preshared preserve=true
+file path=etc/inet/secret/ipseckeys.sample group=sys mode=0600
+file path=lib/svc/manifest/network/ipsec/ike.xml group=sys mode=0444
+file path=usr/lib/$(ARCH64)/libike.so.1
+file path=usr/lib/inet/$(ARCH32)/in.iked mode=0555
+file path=usr/lib/inet/$(ARCH64)/in.iked mode=0555
+file path=usr/lib/inet/certdb mode=0555
+file path=usr/lib/inet/certlocal mode=0555
+file path=usr/lib/inet/certrldb mode=0555
+file path=usr/lib/libike.so.1
+file path=usr/sbin/ikecert mode=0555
+file path=usr/share/man/man1m/ikecert.1m
+file path=usr/share/man/man1m/in.iked.1m
+file path=usr/share/man/man4/ike.config.4
+file path=usr/share/man/man4/ike.preshared.4
+hardlink path=usr/lib/inet/in.iked target=../../../usr/lib/isaexec
+license cr_Sun license=cr_Sun
+license lic_CDDL license=lic_CDDL
--- old/usr/src/pkg/manifests/system-network.mf	Tue Feb 19 16:09:11 2013
+++ new/usr/src/pkg/manifests/system-network.mf	Tue Feb 19 16:09:11 2013
@@ -33,11 +33,7 @@
 dir path=etc/default group=sys
 dir path=etc/dladm group=netadm owner=dladm
 dir path=etc/inet group=sys
-dir path=etc/inet/ike group=sys
-dir path=etc/inet/ike/crls group=sys
-dir path=etc/inet/ike/publickeys group=sys
 dir path=etc/inet/secret group=sys mode=0700
-dir path=etc/inet/secret/ike.privatekeys group=sys mode=0700
 dir path=etc/ipadm group=netadm owner=netadm
 dir path=etc/nwam group=netadm owner=netadm
 dir path=etc/nwam/loc group=netadm owner=netadm
@@ -62,12 +58,9 @@
 file path=etc/dladm/secobj.conf group=netadm mode=0660 \
     original_name=SUNWcnetr:etc/dladm/secobj.conf owner=dladm preserve=true
 file path=etc/inet/datemsk.ndpd group=sys mode=0444
-file path=etc/inet/ike/config.sample group=sys mode=0444
 file path=etc/inet/ipsecalgs group=sys \
     original_name=SUNWcnetr:etc/inet/ipsecalgs preserve=true
 file path=etc/inet/ipsecinit.sample group=sys mode=0444
-file path=etc/inet/secret/ike.preshared group=sys mode=0600 \
-    original_name=SUNWcnetr:etc/inet/secret/ike.preshared preserve=true
 file path=etc/inet/secret/ipseckeys.sample group=sys mode=0600
 file path=etc/ipadm/ipadm.conf group=netadm owner=netadm preserve=true
 file path=etc/nwam/loc/NoNet/ipf.conf.dfl group=netadm owner=netadm \
